package cn.com.ctop.common.module.service;

import com.alibaba.fastjson.JSONObject;

public interface IMessageTemplate {

    String getMaterialSyncTemplate(String projectName, String accountId, String accountName, String materialName, String reason);

    /**
     * 同步成功发送消息
     *
     * @param projectName
     * @param accountId
     * @param accountName
     * @param materialName
     * @param reason
     * @return
     */
    String getMaterialSyncSucessTemplate(String projectName, String accountId, String accountName, String materialName, String reason);


    String getMaterialRejectTemplate(String projectName, String materialName, String refuseReason);

    String getFeishuMaterialSyncTemplate(String projectName, Long accountId, String accountName, String materialName, String reason);


    String getFeishuMaterialRejectTemplate(String projectName, String materialName, String refuseReason);

    String getCreativeOverRunMessage(Long accountId, Integer creativeCount, String authName);

    /**
     * 获取僵尸创意提醒通知模板
     *
     * @param
     * @return java.lang.String
     * @throws
     * @author ZHAOXA
     */
    String getZombieCreativeRemindTemplate(JSONObject obj);

    /**
     * 获取僵尸创意关停通知模板
     *
     * @param
     * @return java.lang.String
     * @throws
     * @author ZHAOXA
     */
    String getZombieCreativeShutDownTemplate(JSONObject obj);

    /**
     * 成本预警消息模板
     *
     * @param
     * @return java.lang.String
     * @throws
     * @author ZHAOXA
     */
    String getAlarmCostMessage(JSONObject cost);

    /**
     * 快手 组出价方式错误消息模板
     *
     * @param projectName
     * @param advertiserId
     * @param unitId
     * @param unit_name
     * @return
     */

    String getKuaiShouBidTypeMessage(String projectName, Long advertiserId, Long unitId, String unit_name);


    /**
     * 快手 组出价过高消息模板
     *
     * @param projectName
     * @param advertiserId
     * @param unitId
     * @param unit_name
     * @return
     */
    String getKuaiShouBidMessage(String projectName, Long advertiserId, Long unitId, String unit_name);

    String getCopyCampaignMessage(String oldName, String state);
}
